TextEditor Class Reference

`#include <TextEditor.h>`

Inheritance diagram for TextEditor:

## Public Slots

void | addSymbol (const QString &letter)

## Public Member Functions

void | formatText (const QString &prefix, const QString &postfix)
| TextEditor (Graph *g)

## Private Member Functions

void | closeEvent (QCloseEvent *e)

## Private Attributes

Graph * | d_graph
QString | d_initial_text
QWidget * | d_target

## Constructor & Destructor Documentation

TextEditor::TextEditor | ( | Graph * | g | ) |

References Graph::activeText(), Graph::axisTitleRect(), Graph::axisTitleString(), MultiLayer::canvas(), d_initial_text, d_target, Graph::multiLayer(), Graph::selectedScale(), LegendWidget::text(), and Graph::titleSelected().

## Member Function Documentation

void TextEditor::addSymbol | ( | const QString & | letter | ) |

slot

void TextEditor::closeEvent | ( | QCloseEvent * | e | ) |

private

References d_graph, d_initial_text, d_target, Graph::multiLayer(), Graph::notifyChanges(), Graph::setActiveText(), and Graph::setAxisTitle().

void TextEditor::formatText | ( | const QString & | prefix,
|  | const QString & | postfix
| ) |  |

Referenced by ApplicationWindow::insertSubscript(), ApplicationWindow::insertSuperscript(), and ApplicationWindow::underline().

## Member Data Documentation

Graph* TextEditor::d_graph

private

Referenced by closeEvent().

QString TextEditor::d_initial_text

private

Referenced by closeEvent(), and TextEditor().

QWidget* TextEditor::d_target

private

Referenced by closeEvent(), and TextEditor().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/TextEditor.h
- qtiplot/src/plot2D/dialogs/TextEditor.cpp